Namespace
library
Image / Tag
consul:1.8.5
Content Digest
sha256:b85322aa8c65355341dd81b5e95d5c0e8468e6419724d4e8a125198d40426a30
Details
Created

2020-10-24 00:38:38 UTC

Size

43.8 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>

Environment
CONSUL_VERSION

1.8.5

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:d6ca64ac6f4b6382142ce9a3501652938130a6ec4bb02f3f455ee1f980834cfe - 6.07% (2.66 MB)

[#001] sha256:50575978b96251e969c7433bf747ff9948c7569cdba08b82642c9ff28dc3dad8 - 0.0% (1.2 KB)

[#002] sha256:ff0bd61c7abe46d0a8800e07b99771a4a177768e7951b6e4bc406ef8c1ba5672 - 93.92% (41.2 MB)

[#003] sha256:df109c109076c96fc724f585f9e9b2decc3c9c96a51c0a26891089492f2a793b - 0.0% (143 Bytes)

[#004] sha256:b2c51e22ab172236135e965946eaf3a7a7a54768ec71cf853a1a6b18c4326df4 - 0.0% (153 Bytes)

[#005] sha256:edf571036f9872b050d07d5272ddeebf9629fa2af03e0dac3456433ac857abca - 0.0% (1.66 KB)


History
2020-10-22 02:00:33 UTC

/bin/sh -c #(nop) ADD file:46ad43b4984bcf49c5a888ff3628f23161f55cd1fb062f469e707100c97fa254 in /

2020-10-22 02:00:33 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-10-22 02:32:47 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>

2020-10-24 00:38:28 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.8.5

2020-10-24 00:38:29 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2020-10-24 00:38:29 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2020-10-24 00:38:34 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2020-10-24 00:38:35 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2020-10-24 00:38:36 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2020-10-24 00:38:36 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2020-10-24 00:38:36 UTC

/bin/sh -c #(nop) EXPOSE 8300

2020-10-24 00:38:37 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2020-10-24 00:38:37 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2020-10-24 00:38:37 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2020-10-24 00:38:37 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2020-10-24 00:38:38 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2020-10-24 00:19:47 UTC

Size

44.3 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>

Environment
CONSUL_VERSION

1.8.5

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:188c0c94c7c576fff0792aca7ec73d67a2f7f4cb3a6e53a84559337260b36964 - 6.02% (2.67 MB)

[#001] sha256:1bd0ad15d15483ddb156f9f3f293505ab3d80dd4f0298f988e53879107c17045 - 0.0% (1.2 KB)

[#002] sha256:3d30a01add5552182d8cf627fb6bfafb1bd6404bd9e8964d0f318e75ac909292 - 93.97% (41.6 MB)

[#003] sha256:07f3ae3ba267f18945e80a9a9d9b1aa4e960addad7330381e1eebeb178e893c1 - 0.0% (143 Bytes)

[#004] sha256:0de0e80834954020a245984ab98e3a34b047ac702b81eb4674171d53caf4c95b - 0.0% (154 Bytes)

[#005] sha256:000f607b07c9f2cfc208634b1170ebbfa675e6de56058826fec0ede6e593289b - 0.0% (1.67 KB)


History
2020-10-22 02:19:24 UTC

/bin/sh -c #(nop) ADD file:f17f65714f703db9012f00e5ec98d0b2541ff6147c2633f7ab9ba659d0c507f4 in /

2020-10-22 02:19:24 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-10-22 03:17:54 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>

2020-10-24 00:19:39 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.8.5

2020-10-24 00:19:39 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2020-10-24 00:19:40 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2020-10-24 00:19:45 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2020-10-24 00:19:45 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2020-10-24 00:19:46 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2020-10-24 00:19:46 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2020-10-24 00:19:46 UTC

/bin/sh -c #(nop) EXPOSE 8300

2020-10-24 00:19:47 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2020-10-24 00:19:47 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2020-10-24 00:19:47 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2020-10-24 00:19:47 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2020-10-24 00:19:47 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2020-10-24 00:51:14 UTC

Size

39.8 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>

Environment
CONSUL_VERSION

1.8.5

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:bad30e7b45c14f784ef29a828b5fc69db0ebdefebcde6a7c98f4f77ffc93a546 - 6.24% (2.48 MB)

[#001] sha256:0ab63e1d933b90542c55c0589580d0ae8a9e2158b1a513a3f48ad426b6b19dc5 - 0.0% (1.23 KB)

[#002] sha256:cadae91cd7b954aab20e1a7852252f1d899656643f5a93419082e227368c1ba9 - 93.76% (37.3 MB)

[#003] sha256:d4aefd409dfcff320e4f4abc93acd6b79c75be32a4f8e945a7973b16e906f371 - 0.0% (176 Bytes)

[#004] sha256:fee425345016882213d153f7d97b63547b624b495d324a12f56499a64ec4bff4 - 0.0% (154 Bytes)

[#005] sha256:6d2fb9fc2e5b60fa972411f03c730ae9062ba8f15afb38eb1bdda9787ec92001 - 0.0% (1.67 KB)


History
2020-10-22 02:01:09 UTC

/bin/sh -c #(nop) ADD file:dec4d3b6cf21c59820d1d74a554d0a193b5f4859e00b932f31ffe73f554d5afb in /

2020-10-22 02:01:12 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-10-22 02:17:14 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>

2020-10-24 00:50:53 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.8.5

2020-10-24 00:50:54 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2020-10-24 00:50:55 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2020-10-24 00:51:03 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2020-10-24 00:51:06 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2020-10-24 00:51:08 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2020-10-24 00:51:10 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2020-10-24 00:51:11 UTC

/bin/sh -c #(nop) EXPOSE 8300

2020-10-24 00:51:12 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2020-10-24 00:51:13 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2020-10-24 00:51:13 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2020-10-24 00:51:13 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2020-10-24 00:51:14 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2020-10-24 00:40:06 UTC

Size

40 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>

Environment
CONSUL_VERSION

1.8.5

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:5f621e34cdf485f410766dc9a0fc7855d17916d0f6583b58cbdce7c28831f527 - 6.46% (2.58 MB)

[#001] sha256:b3b6d3b9131728e261c4c4fc3af4cdd89e6dcba8ab1ab38c3c0f914e2eb39560 - 0.0% (1.23 KB)

[#002] sha256:ea498f059520372848099a86a79729c7818c4aebc0f8a0fe20587c848e59f415 - 93.53% (37.4 MB)

[#003] sha256:9301e6a3342587e952ba4823d9d46356ef7f784b57e2e9fd46f14bfe405a08b6 - 0.0% (176 Bytes)

[#004] sha256:c8d987f7d735d43368f22b2d5f0382da052100071025a829c766e8cc328f30f0 - 0.0% (153 Bytes)

[#005] sha256:bc8904802b6e26f57003d8bce038eca94dc3b115a409726918967d41a91ab1a1 - 0.0% (1.67 KB)


History
2020-10-22 02:01:01 UTC

/bin/sh -c #(nop) ADD file:55c4e9752146061a2b5f76027221329f423687987c0744ef577130c60ff0ba42 in /

2020-10-22 02:01:06 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-10-22 02:42:38 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>

2020-10-24 00:39:48 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.8.5

2020-10-24 00:39:49 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2020-10-24 00:39:51 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2020-10-24 00:39:58 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2020-10-24 00:40:00 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2020-10-24 00:40:02 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2020-10-24 00:40:02 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2020-10-24 00:40:03 UTC

/bin/sh -c #(nop) EXPOSE 8300

2020-10-24 00:40:03 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2020-10-24 00:40:04 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2020-10-24 00:40:04 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2020-10-24 00:40:05 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2020-10-24 00:40:06 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]